Subject: bug#62237: 28.1 or higher: 24-bit true color breaks colours in Emacsen built without X under GNU Screen

From: Eli Zaretskii <[email-masked]>
Date: Fri, 17 Mar 2023 18:30:23 +0200

> From: Robert Pluim <[email-masked]>
> Cc: Sebastian Tennant <[email-masked]>,  [email-masked]
> Date: Fri, 17 Mar 2023 16:39:19 +0100
> 
> For reasons unknown to me, I actually have COLORTERM=truecolor set in
> my environment, which tickles this issue. But the only reason it does
> so is because under screen by default I get
> TERM=screen.xterm-256color. If I do
> 
> TERM=xterm-256color src/emacs -Q -nw
> 
> then I get 24bit colour (according to `display-color-cells')
> 
> I guess we could drop the 'screen.' prefix in
> `init_display_interactive', although that does feel like a hack.

Why not in screen.el?

Is this screen.FOO format documented somewhere in screen's
documentation?